Revoke modular source module credential
curl --request DELETE \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/credentials/{credentialKind} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/credentials/{credentialKind}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/credentials/{credentialKind}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"credentialId": "<string>",
"moduleInstanceId": "<string>",
"credentialKind": "API_KEY",
"status": "PENDING",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z",
"lastRefreshedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Storefront
Revoke modular source module credential
Revoke the live credential for one private modular source module and delete its stored secret.
DELETE
/
inventory-sources
/
{sourceId}
/
modular
/
modules
/
{moduleInstanceId}
/
credentials
/
{credentialKind}
Revoke modular source module credential
curl --request DELETE \
--url https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/credentials/{credentialKind} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/credentials/{credentialKind}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.interchange.io/api/v2/storefront/inventory-sources/{sourceId}/modular/modules/{moduleInstanceId}/credentials/{credentialKind}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"credentialId": "<string>",
"moduleInstanceId": "<string>",
"credentialKind": "API_KEY",
"status": "PENDING",
"scopes": [
"<string>"
],
"expiresAt": "2023-11-07T05:31:56Z",
"lastRefreshedAt": "2023-11-07T05:31:56Z",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z"
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}{
"data": null,
"error": {
"code": "<string>",
"message": "<string>",
"field": "<string>",
"details": {}
}
}Authorizations
API key or access token
Path Parameters
Inventory source ID
Minimum string length:
1Seller-local module instance id
Minimum string length:
1Module credential kind
Available options:
API_KEY, BEARER, OAUTH Response
Revoke modular source module credential
Non-secret lifecycle metadata for one inventory-source module credential.
Show child attributes
Show child attributes